Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.orm.hibernate.validation
[Java] Interface PersistentConstraint

    org.springframework.beans.factory.Aware
      org.codehaus.groovy.grails.validation.Constraint
          org.codehaus.groovy.grails.orm.hibernate.validation.PersistentConstraint

All Superinterfaces:
  org.springframework.beans.factory.Aware, Constraint

    public interface PersistentConstraint
    extends Constraint, org.springframework.context.ApplicationContextAware

Defines a persistent constraint that evaluates the database.

Authors:
  Graeme Rocher

Since:
  10-Nov-2005

Method Summary
`org.springframework.orm.hibernate3.HibernateTemplate` | `getHibernateTemplate()` Obtains the HibernateTemplate.

Methods inherited from interface Constraint
getName, getParameter, getPropertyName, isValid, setMessageSource, setOwningClass, setParameter, setPropertyName, supports, validate

Methods inherited from interface org.springframework.context.ApplicationContextAware
org.springframework.context.ApplicationContextAware#setApplicationContext(org.springframework.context.ApplicationContext)

Method Detail

### getHibernateTemplate

    public org.springframework.orm.hibernate3.HibernateTemplate getHibernateTemplate()

  Obtains the HibernateTemplate.
  Returns:
    the template

Groovy Documentation